### 2.7 `catan`, `catanf`—complex arc tangent

Synopsis

         #include <complex.h>
         double complex catan(double complex z);
         float complex catanf(float complex z);

Description
These functions compute the complex arc tangent of z, with branch cuts outside the interval [-i, +i] along the imaginary axis.

`catanf` is identical to `catan`, except that it performs its calculations on `floats complex`.

Returns
These functions return the complex arc tangent value, in the range of a strip mathematically unbounded along the imaginary axis and in the interval [-pi/2, +pi/2] along the real axis.

Portability
`catan` and `catanf` are ISO C99